org.codehaus.groovy.macro.transform

## Class MacroTransformation

- java.lang.Object
- - org.codehaus.groovy.ast.MethodCallTransformation
  - - org.codehaus.groovy.macro.transform.MacroTransformation

- All Implemented Interfaces:
    CompilationUnitAware, ASTTransformation

      public class MacroTransformation
      extends MethodCallTransformation
      implements CompilationUnitAware

  Since:
    2.5.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CompilationUnit` | `unit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacroTransformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GroovyCodeVisitor` | `getTransformer(ASTNode[] nodes, SourceUnit sourceUnit)`
    `void` | `setCompilationUnit(CompilationUnit unit)`

    - ### Methods inherited from class org.codehaus.groovy.ast.MethodCallTransformation

      `visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### unit

          protected CompilationUnit unit

  - ### Constructor Detail

    - #### MacroTransformation

          public MacroTransformation()

  - ### Method Detail

    - #### setCompilationUnit

          public void setCompilationUnit(CompilationUnit unit)

      Specified by:
        `setCompilationUnit` in interface `CompilationUnitAware`

    - #### getTransformer

          protected GroovyCodeVisitor getTransformer(ASTNode[] nodes,
                                                     SourceUnit sourceUnit)

      Specified by:
        `getTransformer` in class `MethodCallTransformation`